#
# spec file for package suspend (Version 20060406)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pciutils-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           suspend
BuildRequires:  pciutils-devel
Version:        20060406
Release:        9.8
Summary:        A Set Of Tools To Support Sleep Modes
License:        GPL
URL:            http://sourceforge.net/projects/suspend
Group:          System/Console
Source:         %{name}-%{version}.tar.bz2
Patch0:         s2ram-homepage.diff
Patch1:         whitelist.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Supplements:    powersave

%description
A set of tools to support suspending notebooks, working around the
specific problems each machine has.



Authors:
--------
    Pavel Machek <pavel@suse.cz>

%debug_package
%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
make s2ram ARCH=%_arch

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp s2ram $RPM_BUILD_ROOT/usr/sbin/
chmod 555 $RPM_BUILD_ROOT/usr/sbin/s2ram

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/sbin/s2ram
%doc README README.s2ram-whitelist

%changelog -n suspend
* Wed May 31 2006 - seife@suse.de
- Whitelist updates:
- ASUS M6VA, V6V
- Compaq Evo N620c
- FSC W300/W600
- TOSHIBA Tecra S3
- VIA EPIA M
* Fri May 19 2006 - seife@suse.de
- Whitelist update: ThinkPad R40 [#171495]
* Tue May 16 2006 - seife@suse.de
- Whitelist updates:
- Dell D410
- Lenovo Thinkpads X60 / X60s
* Mon May 08 2006 - seife@suse.de
- correct the homepage for error reports
- Whitelist updates:
- Dell Inspiron 8000
- Dell Latitude C600
- ThinkPads R52 and X31
* Thu Apr 06 2006 - seife@suse.de
- consolidate the --force fix
- Whitelist updates:
- Acer Travelmate 3000
- Asus L2400D
- Dell D800
- ThinkPad T60p
- LG M1
* Mon Apr 03 2006 - seife@suse.de
- Whitelist updates:
- Acer Travelmate 650
- Asus M2400N
- Dell e1505
- HP Presario R4100
- ThinkPad A21m
- Toshiba Satellite A30 / L10
* Sun Apr 02 2006 - seife@suse.de
- fix the s2ram --force option (bug #159688)
* Mon Mar 27 2006 - seife@suse.de
- Rework the various s2ram workarounds so the functions can be
  used cleanly, move the supported/unsupported logic to main().
- Whitelist updates:
- Acer Aspire 1690, Ferrari 4000
- HP nx6125
- ThinkPad 30, T41p, R32, R40, G40, Z60m
- Panasonic Toughbook CF-51E
* Mon Mar 20 2006 - seife@suse.de
- Rework radeontool code - no longer parse lspci output - no longer
  require pciutils.
- Compile dmidecode, radeontool and vbetool object files and link
  against them instead of including all the .c files.
- Various code cleanups.
- Include a NOFB flag for machines that only work when not using
  a framebuffer console.
- Whitelist updates:
- ASUS M6Ne
- Dell Inspiron 5150, Latitude D600/D610
- HP nx5000, nc6000, nc6230, nx8220
- IBM ThinkPad X40, T41p, T42p
- Samsung X20
- Sony PCG-GRT995MP
- Fujitsu Siemens Stylistic ST5000
* Mon Mar 06 2006 - seife@suse.de
- better identification / debug output
- Whitelist updates:
- Compaq Armada E500
- hp compaq nx5000
- ThinkPad T43 & R51
- Toshiba Satellite 4080XCDT
- Sony Vaio VGN-FS115B
* Thu Mar 02 2006 - seife@suse.de
- refactoring of the whole s2ram codebase
- whitelist moved to an extra file
- fix segfault in vbetool code on x86_64
- Machines added to the whitelist:
- Acer Extensa 4150
- Acer TravelMate C300
- Fujitsu Amilo A7640
- Fujitso Stylistic ST5000
- Sharp PC-AR10
- Sony VGN-FS115B
* Fri Feb 24 2006 - seife@suse.de
- add different options to skip whitelist.
* Wed Feb 22 2006 - seife@suse.de
- add chvt code to switch to console 1 before suspend if needed.
- allow building on x86_64.
* Wed Feb 22 2006 - seife@suse.de
- initial package submission, CVS from today.
